#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const commander_1 = __importDefault(require("commander"));
const version_1 = __importDefault(require("../version"));
const parse_1 = require("./parse");
const program = new commander_1.default.Command();
(0, parse_1.addDownloadCLI)(program);
program.version(`v${version_1.default}`, '-v, --version', 'Print the current version of jtex');
program.option('-d, --debug', 'Log out any errors to the console.');
program.parse(process.argv);
