import type { ISession } from './types';
export interface Resolver {
    test: (url: string) => boolean;
    jatsUrl: (url: string) => string;
}
export declare const elife: Resolver;
export declare const plos: Resolver;
export declare const joss: Resolver;
export declare const DEFAULT_RESOLVERS: Resolver[];
export declare function resolveJatsUrlFromDoi(session: ISession, doi: string, resolvers?: Resolver[]): Promise<string>;
//# sourceMappingURL=resolvers.d.ts.map